server {
    listen 3000;
    root /usr/share/nginx/html;
    index index.html;

    location / {
        try_files $uri $uri/ /index.html;
    }

    gzip on;
    gzip_types application/json;
    gzip_min_length 256;
    gzip_vary on;

    location /api/ {
        proxy_pass http://gluetun:8084/api/;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
    }
}
